#462 Won't Run On LinuxMint Debian

Current-stable-SVN
closed
backend (40)
5
2012-09-15
2011-12-01
Andrew
No

I have the same problem as the person trying to run on Ubuntu...tim. I followed the directions for bt and these are the results...I need help:

(gdb) bt

0 0x080a5476 in BackEnd::get_entry_attribute(char const, char const, char const*) ()

1 0x080c0c99 in get_heading(sword::SWBuf&, BackEnd*, int) ()

2 0x080c0d89 in main_update_parallel_page ()

3 0x080cfadd in main_display_bible ()

4 0x08094b46 in gui_notebook_main_switch_page ()

5 0x08096d52 in gui_notebook_main_setup ()

6 0x0809b9e7 in frontend_display ()

7 0x08064acd in main ()

Discussion

1 2 > >> (Page 1 of 2)
  • this is symptomatic of having a module configured for use in parallel page, when the module no longer exists.

    a quick test for this would be:
    - copy ~/.xiphos/settings.xml somewhere else, as a safety fallback.
    - edit that file, find the section "parallels", which is within "modules".
    - remove the set of module names there.
    - save the file.
    - start xiphos.
    if xiphos now works, a missing module was indeed the problem. (you will need to reconfigure your preferences for parallel view.) this is a bug that was fixed some time back, which will appear in our soon-forthcoming 3.1.5 release. i can't say exactly when 3.1.5 will occur, but it won't be very long. we are late with 3.1.5 -- very, very late.

    leaving this open for the moment, in case the reporter has further feedback, but i'm pretty sure of this analysis.

     
  • Andrew
    Andrew
    2012-02-07

    There's no modules where you specified to look....sorry it took so long to get back....looking for work
    xiphos still doesn't work, I click the icon of the program and all it does is briefly open the close
    I'm running this on linux lmde (linuxmint debian) kernel 3.2.2-1

     
  • Andrew
    Andrew
    2012-02-07

    I noticed that this particular version is coming up 4 yrs old...when is the new version coming out

     
  • Andrew
    Andrew
    2012-02-08

    I just followed some instructions for someone else....I did a gdb for xiphos, ran it, and then did a backtrace and these are the results:

    Starting program: /usr/bin/xiphos
    [Thread debugging using libthread_db enabled]
    WARNING: gnome-keyring:: couldn't connect to: /tmp/keyring-7EkS34/pkcs11: No such file or directory
    Message: MAINTAINER_MODE
    Message: /usr/share/xiphos/languages
    ** Message: create main_mgr time is 0.564819
    Number of Text modules = 16
    Number of Commentary modules = 14
    Number of Dict/lex modules = 18
    Number of Book modules = 11
    Number of Percomm modules = 0
    Number of Devotion modules = 3
    Number of Prayer modules = 0

    Starting xiphos-3.1.4
    Building Xiphos interface

    Message: MAINTAINER_MODE
    Message: MAINTAINER_MODE
    Message: /usr/share/xiphos/navbar_versekey.glade
    Message: context_id: 1
    message: Welcome to Xiphos
    ** Message: create main_mgr time is 0.027061
    Starting sword-1.6.2
    Initiating SWORD
    path to sword: /home/andrew/.sword/
    SWORD locale is en
    Checking for SWORD Modules
    Number of Text modules = 16
    Number of Commentary modules = 14
    Number of Dict/lex modules = 18
    Number of Book modules = 11
    Number of Percomm modules = 0
    Number of Devotion modules = 3
    Number of Prayer modules = 0

    Initiating Xiphos
    Message: create SWMgr time is 0.044881
    Message: create main_mgr time is 0.026443
    Displaying Xiphos

    (xiphos:24959): CRITICAL : draw_box_gap: assertion `height >= -1' failed
    ** Message: on_notebook_main_switch_page

    (xiphos:24959): CRITICAL : draw_box_gap: assertion `height >= -1' failed

    Program received signal SIGSEGV, Segmentation fault.
    0xb6e4ddc6 in ?? () from /lib/i386-linux-gnu/i686/cmov/libc.so.6
    (gdb) bt

    0 0xb6e4ddc6 in ?? () from /lib/i386-linux-gnu/i686/cmov/libc.so.6

    1 0xb70f20ab in sword::SWBuf::set(char const*) () from /usr/lib/libsword.so.8

    2 0xb71835cc in sword::SWBuf::SWBuf(char const*, unsigned long) () from /usr/lib/libsword.so.8

    3 0x080a2a8c in BackEnd::module_has_testament (this=0x8593eb8, module_name=0x1b <Address 0x1b="" out="" of="" bounds="">, testament=2)

    at ../src/backend/sword_main.cc:583
    

    4 0x080cf8fe in main_display_bible (key=0x888d868 "Romans 8:28", mod_name=0x1b <Address 0x1b="" out="" of="" bounds="">) at ../src/main/sword.cc:1161

    5 main_display_bible (mod_name=0x888d810 "AB", key=0x888d868 "Romans 8:28") at ../src/main/sword.cc:1081

    6 0x08094b46 in gui_notebook_main_switch_page (notebook=0x84b1050, page=0x0, page_num=0, tl=0x80f5010)

    at ../src/gnome2/tabbed_browser.c:916
    

    7 0x08096d52 in gui_notebook_main_setup (tabs=1, tabsfile=0x0) at ../src/gnome2/tabbed_browser.c:1485

    8 0x0809b9e7 in frontend_display (tabs=0x0) at ../src/gnome2/xiphos.c:182

    9 0x08064acd in main (argc=1, argv=0xbffffaf4) at ../src/main/main.c:191

     
  • from the backtrace, it still smells to me like a missing module, though in this case it would be the main window bible module. the code is trying to experiment with setting a testament (to determine how much of the book selector should be filled in, i.e. "do we need to offer Gen-Mal?").

    all i can suggest now is 2 things:
    - wait for 3.1.5 which will be released in a day or two (we are finalizing)
    - try simply moving settings.xml out of the way entirely -- xiphos will treat you as a first-time user and set itself up with a default appearance, with no parallel modules and a default selection for main window bible module.

    if the latter works, i would be interested in a copy of your (saved, please) settings.xml from when it was failing.

    FTR, we have never, ever, in our worst nightmare ever had software that was 4 years out of date. we are quite late to get 3.1.5 out but even that is measured in some months, not years.

    leaving this open for now.

     
  • Andrew
    Andrew
    2012-02-18

    This is a copy of my settings.xml file.....maybe you can see something in here that I don't:

    <Xiphos Version="3.1.4"><ranges><range label="Old Testament" list="Gen - Mal"/><range label="New Testament" list="Mat - Rev"/></ranges><modlists><modlist label="Sample Module List" list="AB"/></modlists><editor><spell_language>unknown</spell_language></editor><locale><special/><special>None</special><special>None</special><special>None</special><special>None</special></locale><modmgr><mod_mgr_source>1</mod_mgr_source><mod_mgr_destination>0</mod_mgr_destination><mod_mgr_local_source_index>0</mod_mgr_local_source_index><mod_mgr_remote_source_index>0</mod_mgr_remote_source_index></modmgr><fontsize><versenum>+0</versenum><basefontsize>+0</basefontsize></fontsize><HTMLcolors><background>#FFFFFF</background><text_fg>#000000</text_fg><versenum>#0000CF</versenum><currentverse>#339766</currentverse><link>#878787</link><found>#D02898</found><highlight_fg>#FFFF00</highlight_fg><highlight_bg>#060680</highlight_bg></HTMLcolors><parallel><parallel>1</parallel><cantillation>0</cantillation><points>0</points><footnotes>0</footnotes><morphs>0</morphs><strongs>0</strongs><Strong_s_Numbers>0</Strong_s_Numbers><Morphological_Tags>0</Morphological_Tags><Hebrew_Vowel_Points>1</Hebrew_Vowel_Points><Hebrew_Cantillation>0</Hebrew_Cantillation><Footnotes>1</Footnotes><Cross-references>1</Cross-references><Transliteration>0</Transliteration><Words_of_Christ_in_Red>1</Words_of_Christ_in_Red><Morpheme_Segmentation>0</Morpheme_Segmentation><Headings>1</Headings><Lemmas>0</Lemmas><Primary_Reading>1</Primary_Reading><Secondary_Reading>0</Secondary_Reading><All_Readings>0</All_Readings><Greek_Accents>1</Greek_Accents></parallel><book><module/><key/><offset>0</offset></book><keys><book>0</book><dictionary>Grace</dictionary><verse>Romans 8:28</verse><offset>0</offset></keys><layout><height>480</height><width>680</width><app_x>40</app_x><app_y>40</app_y><parallelopen>0</parallelopen><parallel_height>361</parallel_height><parallel_width>657</parallel_width><parallel_x>200</parallel_x><parallel_y>200</parallel_y><textpane>240</textpane><shortcutbar>158</shortcutbar><uperpane>210</uperpane><vltoppaneheight>210</vltoppaneheight><sidebar_notebook_height>250</sidebar_notebook_height><bibleheight>250</bibleheight><commentaryheight>240</commentaryheight></layout><lexicons><indictpane>1</indictpane><inviewer>0</inviewer><usedefaultdict>0</usedefaultdict><defaultdictionary>WebstersDict</defaultdictionary><greek>StrongsGreek</greek><hebrew>StrongsHebrew</hebrew></lexicons><osisrefmarkedverses/><misc><dailydevotional>0</dailydevotional><splash>1</splash><usedefault>1</usedefault><formatpercom>1</formatpercom><showcomms>1</showcomms><showdicts>1</showdicts><showtexts>1</showtexts><versestyle>1</versestyle><pinnedtabs>0</pinnedtabs><showversenum>1</showversenum><readaloud>0</readaloud><versehighlight>0</versehighlight><annotatehighlight>1</annotatehighlight><xrefsinverselist>1</xrefsinverselist><showpreview>1</showpreview><show_side_preview>1</show_side_preview><showparatab>0</showparatab><chapter-scroll>0</chapter-scroll><imageresize>1</imageresize><show_sidebar>1</show_sidebar><sidebar_docked>1</sidebar_docked><prayerlist>1</prayerlist></misc><modules><book>ABS_Essay_GoodSam_SWB</book><comm>Abbott</comm><devotional>DBD</devotional><dict>2BabDict</dict><parallels>AB</parallels><bible>AB</bible><percomm/></modules><shortcutbar><shortcutbar>1</shortcutbar><docked>1</docked></shortcutbar><studypad><directory>/home/andrew</directory><lastfile/></studypad><tabs><browsing>1</browsing></tabs><locale/><locale/><locale/><locale/></Xiphos>

     
  • i replaced my settings.xml with yours, and xiphos ran fine.

    only remaining suggestion: "mv ~/.xiphos ~/.xiphos.HOLD" (or some other name by which to preserve the contents while experimenting), and try again. i persist that i believe the trouble is a missing module (probably "AB").

     
  • Andrew
    Andrew
    2012-02-20

    what type of OS are you running this on....I have one machine that runs LinuxMint Debian, kernel 3.2.0, I believe that the kernel has something to do with this or some other program that's interfeiring with its functionality....my laptop which I'm on right now has Gnome 3 kernel 3.2.6-1....it's been updated twice since 3.2.1.....so I'm kinda guessing that it may the Gnome 3 kernel or files....the OS I'm running is LMDE 201109, it's the most recent of LMDE.....what do you think...

     
  • i build and test on F14, F16, U11.10, and win32. both F16 and U11.10 are gtk3-based. no problems for me.

     
  • Andrew
    Andrew
    2012-02-20

    I'm having a hard time with installing 3.1.5....I follow the instructions and in terminal this is what happens:

    andrew@lmde:~$ cd xiphos-3.1.5
    andrew@lmde:~/xiphos-3.1.5$ ./waf configure --prefix=/usr --gtk=auto --backend=webkit --debug-level=optimized
    Linux detected
    Check for program g++ or c++ : /usr/bin/g++
    Check for program cpp : /usr/bin/cpp
    Check for program ar : /usr/bin/ar
    Check for program ranlib : /usr/bin/ranlib
    Check for program gcc or cc : /usr/bin/gcc
    Check for program msgfmt : not found
    /home/andrew/xiphos-3.1.5/wscript:198: error: The program msgfmt (gettext) is mandatory!
    andrew@lmde:~/xiphos-3.1.5$ ./waf configure build install
    Linux detected
    Check for program g++ or c++ : /usr/bin/g++
    Check for program cpp : /usr/bin/cpp
    Check for program ar : /usr/bin/ar
    Check for program ranlib : /usr/bin/ranlib
    Check for program gcc or cc : /usr/bin/gcc
    Check for program msgfmt : not found
    /home/andrew/xiphos-3.1.5/wscript:198: error: The program msgfmt (gettext) is mandatory!
    andrew@lmde:~/xiphos-3.1.5$ sudo ./waf configure build install
    [sudo] password for andrew:
    Linux detected
    Check for program g++ or c++ : /usr/bin/g++
    Check for program cpp : /usr/bin/cpp
    Check for program ar : /usr/bin/ar
    Check for program ranlib : /usr/bin/ranlib
    Check for program gcc or cc : /usr/bin/gcc
    Check for program msgfmt : not found
    /home/andrew/xiphos-3.1.5/wscript:198: error: The program msgfmt (gettext) is mandatory!
    andrew@lmde:~/xiphos-3.1.5$ sudo ./waf install
    Project not configured (run 'waf configure' first)
    andrew@lmde:~/xiphos-3.1.5$ sudo waf configure
    sudo: waf: command not found
    andrew@lmde:~/xiphos-3.1.5$ sudo ./waf configure
    Linux detected
    Check for program g++ or c++ : /usr/bin/g++
    Check for program cpp : /usr/bin/cpp
    Check for program ar : /usr/bin/ar
    Check for program ranlib : /usr/bin/ranlib
    Check for program gcc or cc : /usr/bin/gcc
    Check for program msgfmt : not found
    /home/andrew/xiphos-3.1.5/wscript:198: error: The program msgfmt (gettext) is mandatory!
    andrew@lmde:~/xiphos-3.1.5$ ./waf configure build install
    Linux detected
    Check for program g++ or c++ : /usr/bin/g++
    Check for program cpp : /usr/bin/cpp
    Check for program ar : /usr/bin/ar
    Check for program ranlib : /usr/bin/ranlib
    Check for program gcc or cc : /usr/bin/gcc
    Check for program msgfmt : not found
    /home/andrew/xiphos-3.1.5/wscript:198: error: The program msgfmt (gettext) is mandatory!
    andrew@lmde:~/xiphos-3.1.5$

     
1 2 > >> (Page 1 of 2)